--*****************************************************************************
--* File: lua/modules/ui/game/trackingindicator.lua
--* Summary: In Game Tracking indicator
--*
--* Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
--*****************************************************************************

local UIUtil = import('/lua/ui/uiutil.lua')
local Group = import('/lua/maui/group.lua').Group
local Bitmap = import('/lua/maui/Bitmap.lua').Bitmap
local Text = import('/lua/maui/text.lua').Text
local LayoutHelpers = import('/lua/maui/layouthelpers.lua')

local indicatorBG = nil
local showBool = true

function SetTrackingIndicator(tracking)
    if not tracking then
        if indicatorBG then
            indicatorBG:Destroy()
            indicatorBG = nil
        end
    else
        if not indicatorBG then
            local worldView = import('/lua/ui/game/borders.lua').GetMapGroup(true)
            indicatorBG = Bitmap(worldView, UIUtil.UIFile('/dialogs/time-units-tabs/panel-tracking_bmp.dds'))
            indicatorBG.Top:Set(function() return worldView.Top() + 40 end)
            LayoutHelpers.AtHorizontalCenterIn(indicatorBG, worldView)

            local indicator = UIUtil.CreateText(indicatorBG, "<LOC TRACKING_0000>Tracking", 18, UIUtil.bodyFont)

            LayoutHelpers.AtCenterIn(indicator, indicatorBG)
            
            indicatorBG:DisableHitTest(true)
        end
    end
end
function OnTrackUnit(camera,tracking)
    if showBool then
        if camera == "WorldCamera" then
                #SetTrackingIndicator(tracking)
        end
    end
end

function Contract()
    showBool = false
end

function Expand()
    showBool = true
end